/*
 * This file is part of the vpnd2 project
 *
 * (C) 2017 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2 or, at
 * your choice, any later version of this license.
 */

#ifndef KEYIO_H_INCLUDED
#define KEYIO_H_INCLUDED

extern int genkey(void *h,char *fn,int curve,void *passwd,int plen);
extern void *loadkey(void *h,void *fn,void *passwd,int plen);
extern void *loadpub(void *h,void *fn,int *publen);
extern int savepub(void *h,void *fn,void *pub,int publen);

#endif
