/*
 * This file is part of the vpnd2 project
 *
 * (C) 2017 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2 or, at
 * your choice, any later version of this license.
 */

#ifndef MISC_H_INCLUDED
#define MISC_H_INCLUDED

#define LIKELY(x)	__builtin_expect((x),1)
#define UNLIKELY(x)	__builtin_expect((x),0)
#define HOT		__attribute__((hot))
#define COLD		__attribute__((cold))
#define UNUSED		__attribute__((unused))

#endif
