/*
 * This file is part of the vpnd2 project
 *
 * (C) 2017 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2 or, at
 * your choice, any later version of this license.
 */

#ifndef SCTP_OO_H_INCLUDED
#define SCTP_OO_H_INCLUDED

extern int sctpoolisten(void *addr,int port,int keepalive,int sendbuf,
	int maxseg);
extern int sctpooaccept(int fd,int keepalive);
extern int sctpooconnect(void *dst,int timeout,int keepalive,int sendbuf,
	int maxseg,int srcaddr,int efd);
extern void sctpooclose(int fd);
extern int sctpoosend(int fd,void *data,int len);
extern int sctpoorecv(int fd,void *data,int max);

#endif
