#!/bin/sh
case "$1" in
up)	rm -f /tmp/vpnd2.2
	ip link set dev $2 netns vpnsvr
	ip netns exec vpnsvr ifconfig $2 192.168.0.1 mtu 1500 dstaddr 192.168.0.2 up
	;;
down)	ip netns exec vpnsvr ifconfig $2 0.0.0.0 down
	;;
connected)
	touch /tmp/vpnd2.2
	echo $2 connected
	;;
disconnected)
	echo $2 disconnected
	;;
esac
exit 0
