/*
 * This file is part of the vpnd2 project
 *
 * (C) 2020 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2 or, at
 * your choice, any later version of this license.
 */

#ifndef NETWORK_H
#define NETWORK_H

#define KEEPALIVE	0x01
#define SPECIFIC_ADDR	0x02
#define FAST_CONNECT	0x04

extern int tcp4connect(struct in_addr *src,struct in_addr *dst,int *port,
	int timeout,int efd,int flags,char *dev,int idle);
extern int tcp6connect(struct in6_addr *src,struct in6_addr *dst,int *port,
	int timeout,int efd,int flags,char *dev,int idle);
extern int tcpconnect(struct sockaddr *src,struct sockaddr *dst,int timeout,
	int efd,int flags,char *dev,int idle);

#endif
