/*
 * This file is part of the vpnd2 project
 *
 * (C) 2017 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2 or, at
 * your choice, any later version of this license.
 */

#ifndef UDP_H_INCLUDED
#define UDP_H_INCLUDED

extern void *udp_listen_init(void *addr,int port,int portmin,int portmax,
	int sendbuf,int lite,int frag,int rtp,int alt,int efd,void *glob);
extern int udp_listen_start(void *ctx);
extern void udp_listen_stop(void *ctx,int force);
extern void udp_listen_exit(void *ctx);
extern int udp_accept(int fd);
extern int udp_connect(void *h,void *dst,int timeout,int sendbuf,int lite,
	int frag,int rtp,int alt,int minport,int maxport,int efd);
extern void udpclose(int fd);
extern int udpsend(int fd,void *data,int len);
extern int udprecv(int fd,void *data,int max);

#endif
