/*
 * This file is part of the vpnd2 project
 *
 * (C) 2017 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2 or, at
 * your choice, any later version of this license.
 */

#ifndef UNIX_H_INCLUDED
#define UNIX_H_INCLUDED

extern int unix_listen(void *fn,int packet);
extern void unix_clean(void *fn);
extern int unix_accept(int fd);
extern void unix_close(int fd);
extern int unixsend(int fd,void *data,int len);
extern int unixrecv(int fd,void *data,int max);
extern int unixpktsend(int fd,void *data,int len);
extern int unixpktrecv(int fd,void *data,int max);

#endif
