/*
 * This file is part of the vpnd2 project
 *
 * (C) 2017 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2 or, at
 * your choice, any later version of this license.
 */

#ifndef SCTP_OM_H_INCLUDED
#define SCTP_OM_H_INCLUDED

extern int sctpomlisten(void *addr,int port,int keepalive,int sendbuf,
	int maxseg);
extern int sctpomaccept(int fd,int keepalive);
extern int sctpomconnect(void *dst,int timeout,int keepalive,int sendbuf,
	int maxseg,int srcaddr,int efd);
extern void sctpomclose(int fd);
extern int sctpomsend(int fd,void *dst,int dstlen,void *data,int len);
extern int sctpomrecv(int fd,void *data,int max);
extern void sctpomlockselect(void);
extern void sctpomlock(void);
extern void sctpomunlock(void);

#endif
