/*
 * This file is part of the vpnd2 project
 *
 * (C) 2017 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2 or, at
 * your choice, any later version of this license.
 */

#ifndef TCP_H_INCLUDED
#define TCP_H_INCLUDED

extern int tcplisten(void *addr,int port,int keepalive,int sendbuf,int maxseg,
	int defer,int user);
extern int tcpaccept(int fd,int keepalive,int defer,int user);
extern int tcpconnect(void *dst,int timeout,int keepalive,int sendbuf,
	int maxseg,int defer,int user,int efd);
extern int tcpsocks5connect(void *proxy,void *host,int port,int timeout,
	int keepalive,int efd);
extern int tcpproxyconnect(void *proxy,void *host,int port,int timeout,
	int keepalive,int efd);
extern void tcpclose(int fd);
extern int tcpsend(int fd,void *data,int len);
extern int tcprecv(int fd,void *data,int max);

#endif
