#!/bin/sh
case "$1" in
up)	ip link set dev $2 netns vpncln
	ip netns exec vpncln ifconfig $2 192.168.0.2 mtu 1500 dstaddr 192.168.0.1 up
	date +%s%N > /tmp/vpnd2.1
	;;
down)	ip netns exec vpncln ifconfig $2 0.0.0.0 down
	;;
connected)
	date +%s%N > /tmp/vpnd2.2
	echo $2 connected
	;;
disconnected)
	echo $2 disconnected
	;;
esac
exit 0
