#!/bin/sh
export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
term()
{
	killproc -p `realpath /tmp/server.pid` `realpath ../../vpnd2`
	usleep 100000
	ip netns del vpnsvr
}
modprobe tun
ip netns add vpnsvr
trap term SIGHUP SIGINT SIGTERM
if [ "$VPN_PASSWD" = "" ]
then
	read pass
	echo $pass | `realpath ../../vpnd2` -p -c server.conf &
else
	`realpath ../../vpnd2` -p -c server.conf &
fi
wait $!
