#!/bin/sh
PASS=123456
rm -rf server.pub server.key client.pub client.key
echo $PASS | ../../vpnd2 -p -k secp256r1 server
echo $PASS | ../../vpnd2 -p -k secp256r1 client
echo $PASS | ./server.sh > /dev/null 2>&1 &
svr=$!
echo $PASS | ./client.sh > /dev/null 2>&1 &
cln=$!
sleep 1
ip netns exec vpncln ping -c 1 -w 5 192.168.0.1 > /dev/null 2>&1
if [ $? != 0 ]
then
	echo "password via stdin failed"
fi
kill -TERM $cln
kill -TERM $svr
wait $cln
wait $svr
export VPN_PASSWD="$PASS"
rm -rf server.pub server.key client.pub client.key
../../vpnd2 -p -k secp256r1 server
../../vpnd2 -p -k secp256r1 client
./server.sh > /dev/null 2>&1 &
svr=$!
./client.sh > /dev/null 2>&1 &
cln=$!
sleep 1
ip netns exec vpncln ping -c 1 -w 5 192.168.0.1 > /dev/null 2>&1
if [ $? != 0 ]
then
	echo "password via environment failed"
fi
kill -TERM $cln
kill -TERM $svr
wait $cln
wait $svr
rm -rf server.pub server.key client.pub client.key
