#!/bin/sh
echo please wait 5 minutes...
e=0
cd `dirname $0`
rm -rf tmp
mkdir -m 0777 tmp
cd tmp
sed 's#DIR#'`pwd`'#g' ../client.conf.in > client.conf
sed 's#DIR#'`pwd`'#g' ../server.conf.in > server.conf
../../../vpnd2 -k secp256r1 server
../../../vpnd2 -k secp256r1 client
mv server.pub server1.pub
cp server1.pub prev.pub
../../../vpnd2 -k secp256r1 next
chown nobody:nobody *.key *.pub
cd ..
./server.sh > /dev/null 2>&1 &
svr=$!
./client.sh > /dev/null 2>&1 &
cln=$!
sleep 30
mv tmp/next.pub tmp/newkey.pub
sleep 60
if [ ! -f tmp/server2.pub ]
then
	echo "server key update failed"
	e=1
else
	cmp -s tmp/server2.pub tmp/newkey.pub
	if [ $? != 0 ]
	then
		echo "server key save failed"
		e=1
	fi
fi
mv tmp/server.key tmp/prev.key
mv tmp/next.key tmp/server.key
mv tmp/prev.pub tmp/revoke.pub
mv tmp/newkey.pub tmp/prev.pub
kill -USR1 `cat /tmp/server.pid`
sleep 30
rm tmp/revoke.pub tmp/prev.key
if [ -f tmp/server1.pub ]
then
	echo "server key revoke failed"
	e=1
fi
sleep 60
cd tmp
../../../vpnd2 -k secp256r1 next
chown nobody:nobody next.*
cd ..
mv tmp/next.pub tmp/newkey.pub
sleep 60
if [ ! -f tmp/server1.pub ]
then
	echo "server key update failed"
	e=1
else
	cmp -s tmp/server1.pub tmp/newkey.pub
	if [ $? != 0 ]
	then
		echo "server key save failed"
		e=1
	fi
fi
mv tmp/server.key tmp/prev.key
mv tmp/next.key tmp/server.key
mv tmp/prev.pub tmp/revoke.pub
mv tmp/newkey.pub tmp/prev.pub
kill -USR1 `cat /tmp/server.pid`
sleep 30
rm tmp/revoke.pub tmp/prev.key tmp/prev.pub
if [ -f tmp/server2.pub ]
then
	echo "server key revoke failed"
	e=1
fi
kill -TERM $cln
kill -TERM $svr
wait $cln
wait $svr
rm -rf tmp
exit $e
